package com.ssj.framework.weixin.card.bean;

import java.io.Serializable;
import java.util.Map;


public class AdvancedInfo implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 5338117962082843492L;
	/**
	 * 		advanced_info	否	JSON结构	创建优惠券特有的高级字段
			use_condition	否	JSON结构	
			使用门槛（条件）字段，若不填写使用条件则在券面拼写
			：无最低消费限制，全场通用，不限品类；并在使用说明显示：
			可与其他优惠共享
			accept_category	否	string（512）	
			指定可用的商品类目，仅用于代金券类型
			，填入后将在券面拼写适用于xxx
			reject_category	否	string（512）	
			指定不可用的商品类目，仅用于代金券类型
			，填入后将在券面拼写不适用于xxxx
			least_cost	否	int	
			满减门槛字段，可用于兑换券和代金券
			，填入后将在全面拼写消费满xx元可用。
			object_use_for	否	string（512）	
			购买xx可用类型门槛，仅用于兑换
			，填入后自动拼写购买xxx可用。
			can_use_with_other_discount	否	bool	
			不可以与其他类型共享门槛
			，填写false时系统将在使用须知里
			拼写“不可与其他优惠共享”，
			填写true时系统将在使用须知里
			拼写“可与其他优惠共享”，
			默认为true
			abstract	否	JSON结构	封面摘要结构体名称
			abstract	否	string（24）	封面摘要简介。
			icon_url_list	否	string（128）	
			封面图片列表，仅支持填入一
			个封面图片链接，上传图片接口
			上传获取图片获得链接，填写
			非CDN链接会报错，并在此填入。
			建议图片尺寸像素850*350
			text_image_list	否	JSON结构	
			图文列表，显示在详情内页
			，优惠券券开发者须至少传入
			一组图文列表
			image_url	否	string（128）	
			图片链接，必须调用上传图片接口
			上传图片获得链接，并在此填入，
			否则报错
			text	否	string（512）	图文描述
			business_service	否	arry	商家服务类型：
			BIZ_SERVICE_DELIVER 外卖服务；
			BIZ_SERVICE_FREE_PARK 停车位；
			BIZ_SERVICE_WITH_PET 可带宠物；
			BIZ_SERVICE_FREE_WIFI 免费wifi，
			可多选
			time_limit	否	JSON结构	使用时段限制，包含以下字段
			type	否	string（24）	限制类型枚举值：支持填入
			MONDAY 周一 
			TUESDAY 周二 
			WEDNESDAY 周三
			 THURSDAY 周四 
			FRIDAY 周五 
			SATURDAY 周六 
			SUNDAY 周日 
			此处只控制显示，
			不控制实际使用逻辑，不填默认不显示
			begin_hour	否	int	
			当前type类型下的起始时间（小时）
			，如当前结构体内填写了MONDAY，
			此处填写了10，则此处表示周一 10:00可用
			begin_minute	否	int	
			当前type类型下的起始时间（分钟）
			，如当前结构体内填写了MONDAY，
			begin_hour填写10，此处填写了59，
			则此处表示周一 10:59可用
			end_hour	否	int	
			当前type类型下的结束时间（小时）
			，如当前结构体内填写了MONDAY，
			此处填写了20，则此处表示周一 10:00-20:00可用
			end_minute	否	int	
			当前type类型下的结束时间（分钟）
			，如当前结构体内填写了MONDAY，
			begin_hour填写10，此处填写了59，
			则此处表示周一 10:59-00:59可用
	 */
	private String advanced_info;	//否	JSON结构	创建优惠券特有的高级字段
	private String use_condition;   //使用门槛（条件）字段，若不填写使用条件则在券面拼写：无最低消费限制，全场通用，不限品类；并在使用说明显示：可与其他优惠共享
	private String accept_category;//	否	string（512）	指定可用的商品类目，仅用于代金券类型，填入后将在券面拼写适用于xxx
	private String reject_category	;//否	string（512）	指定不可用的商品类目，仅用于代金券类型，填入后将在券面拼写不适用于xxxx
	private String least_cost;//	否	int	满减门槛字段，可用于兑换券和代金券，填入后将在全面拼写消费满xx元可用。
	private String object_use_for;//	否	string（512）	购买xx可用类型门槛，仅用于兑换，填入后自动拼写购买xxx可用。
	private String can_use_with_other_discount;//	否	bool	不可以与其他类型共享门槛，填写false时系统将在使用须知里拼写“不可与其他优惠共享”，填写true时系统将在使用须知里拼写“可与其他优惠共享”，默认为true
	private Map<String, Object> map; //否	JSON结构	封面摘要结构体名称abstract	否	JSON结构	封面摘要结构体名称abstract	否	string（24）	封面摘要简介。icon_url_list	否	string（128）	封面图片列表，仅支持填入一个封面图片链接，上传图片接口上传获取图片获得链接，填写非CDN链接会报错，并在此填入。建议图片尺寸像素850*350
	private TextImageList text_image_list;
	private TimeLimit time_limit;
	public String getAdvanced_info() {
		return advanced_info;
	}
	public void setAdvanced_info(String advanced_info) {
		this.advanced_info = advanced_info;
	}
	public String getUse_condition() {
		return use_condition;
	}
	public void setUse_condition(String use_condition) {
		this.use_condition = use_condition;
	}
	public String getAccept_category() {
		return accept_category;
	}
	public void setAccept_category(String accept_category) {
		this.accept_category = accept_category;
	}
	public String getReject_category() {
		return reject_category;
	}
	public void setReject_category(String reject_category) {
		this.reject_category = reject_category;
	}
	public String getLeast_cost() {
		return least_cost;
	}
	public void setLeast_cost(String least_cost) {
		this.least_cost = least_cost;
	}
	public String getObject_use_for() {
		return object_use_for;
	}
	public void setObject_use_for(String object_use_for) {
		this.object_use_for = object_use_for;
	}
	public String getCan_use_with_other_discount() {
		return can_use_with_other_discount;
	}
	public void setCan_use_with_other_discount(String can_use_with_other_discount) {
		this.can_use_with_other_discount = can_use_with_other_discount;
	}
	public Map<String, Object> getMap() {
		return map;
	}
	public void setMap(Map<String, Object> map) {
		this.map = map;
	}
	public TextImageList getText_image_list() {
		return text_image_list;
	}
	public void setText_image_list(TextImageList text_image_list) {
		this.text_image_list = text_image_list;
	}
	public TimeLimit getTime_limit() {
		return time_limit;
	}
	public void setTime_limit(TimeLimit time_limit) {
		this.time_limit = time_limit;
	}
	
	
}
